Bug 509181 - SSL error while trying satellite sync on Inter Satellite Sync.
SSL error while trying satellite sync on Inter Satellite Sync.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Preethi Thomas
:
Depends On:
Blocks: 457071
  Show dependency treegraph
 
Reported: 2009-07-01 12:59 EDT by Preethi Thomas
Modified: 2009-09-10 16:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2009-07-01 12:59:31 EDT
Description of problem:
SSL error while trying satellite sync on slave.

Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso

How reproducible:


Steps to Reproduce:
1.2 satellites 1 Master and 1Slave
2.Edit the rhn.conf with settings to allow inter satellite sync. ( I have the ssl cert under /root/ )
3. restart httpd
4. Satellite-Sync -l
  
Actual results:

[root@fjs-0-13 ~]# satellite-sync -l
12:44:55 Red Hat Network Satellite - live synchronization
12:44:55    url: https://rlx-0-10.rhndev.redhat.com
12:44:55    debug/output level: 1
12:44:55 
12:44:55 
ERROR: there was a problem synchronizing the information.
       Error message: [('SSL routines', 'SSL3_GET_SERVER_CERTIFICATE', 'certificate verify failed')]

Expected results:

channels listed


Additional info:
Comment 2 Shannon Hughes 2009-07-06 11:16:38 EDT
mass move to onqa
Comment 3 Preethi Thomas 2009-07-07 21:40:05 EDT
verified
Satellite-5.3.0-RHEL5-re20090702.0-i386-embedded-oracle.iso
[root@rlx-0-10 ~]# cat /etc/rhn/rhn.conf |grep iss
iss_parent      = fjs-0-04.rhndev.redhat.com 
iss_ca_chain    = /root/RHN-ORG-TRUSTED-SSL-CERT
# Comma separated list of allowed iss slaves, like:
# allowed_iss_slaves=slave1-satellite.redhat.com,slave2-satellite.redhat.com
allowed_iss_slaves=



21:37:35 Red Hat Network Satellite - live synchronization
21:37:35    url: https://fjs-0-04.rhndev.redhat.com
21:37:35    debug/output level: 1
21:37:35    db:  rhnsat/<password>@rhnsat
21:37:35 
21:37:35 Retrieving / parsing channel-families data
21:37:36 channel-families data complete
21:37:36 
21:37:36 Retrieving / parsing channel data
21:37:36    p = previously imported/synced channel
21:37:36    . = channel not yet imported/synced
21:37:36    e = channel no longer supported (end-of-service)
21:37:36    base-channels:
21:37:36       p rhel-i386-server-5                       5318
21:37:36    end-of-service:
21:37:36       e redhat-rhn-proxy-5.1-as-i386-4               
21:37:36       e redhat-rhn-proxy-5.2-as-i386-4               
21:37:36       e redhat-rhn-proxy-5.2-server-i386-5           
21:37:36       e redhat-rhn-proxy-5.3-server-i386-5           
21:37:36       e rhel-i386-as-4                               
21:37:36       e rhel-i386-as-4.5.z                           
21:37:36       e rhel-i386-as-4.6.z                           
21:37:36       e rhel-i386-as-4.7.z                           
21:37:36       e rhel-i386-as-4.8.z                           
21:37:36       e rhel-i386-server-5.0.z                       
21:37:36       e rhel-i386-server-5.1.z                       
21:37:36       e rhel-i386-server-5.2.z                       
21:37:36       e rhel-i386-server-5.3.z                       
21:37:36       e rhel-i386-server-vt-5                        
21:37:36       e rhel-i386-server-vt-5.0.z                    
21:37:36       e rhel-i386-server-vt-5.1.z                    
21:37:36       e rhel-i386-server-vt-5.2.z                    
21:37:36       e rhel-i386-server-vt-5.3.z                    
21:37:36       e rhel-x86_64-server-5                         
21:37:36       e rhel-x86_64-server-vt-5                      
21:37:36       e rhn-tools-rhel-4-as-i386                     
21:37:36       e rhn-tools-rhel-i386-server-5                 
21:37:36       e rhn-tools-rhel-x86_64-server-5               
21:37:36 
    Import complete:
        Begin time: Tue Jul  7 21:37:34 2009
        End time:   Tue Jul  7 21:37:37 2009
--More--
Comment 4 Michael Mráka 2009-08-12 08:39:00 EDT
Verified in stage -> RELEASE_PENDING.

# cat /etc/rhn/rhn.conf |grep iss_parent
iss_parent      = dell-pem905-01.rhts.bos.redhat.com
# satellite-sync -c custom-rhel5
14:37:09 Red Hat Network Satellite - live synchronization
14:37:09    url: https://dell-pem905-01.rhts.bos.redhat.com
14:37:09    debug/output level: 1
...
14:37:34    No new kickstartable tree to import
    Import complete:
        Begin time: Wed Aug 12 14:37:09 2009
        End time:   Wed Aug 12 14:37:34 2009
        Elapsed:    0 hours, 0 minutes, 24 seconds
Comment 5 Brandon Perkins 2009-09-10 16:04:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.